> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Step Crafting Status

> Poll crafting status. Used when `executionMode` is async.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/transactions/steps/status
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/transactions/steps/status:
    get:
      tags:
        - Transactions
      summary: Get Step Crafting Status
      description: Poll crafting status. Used when `executionMode` is async.
      operationId: get_step_status
      parameters:
        - name: operationId
          in: query
          required: true
          schema:
            type: string
        - name: action
          in: query
          required: true
          schema:
            type: string
        - name: stepName
          in: query
          required: true
          schema:
            type: string
        - name: chain
          in: query
          required: true
          schema:
            type: string
        - name: protocol
          in: query
          required: true
          schema:
            type: string
        - name: strategy
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Current step status.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      operationId:
                        type: string
                      name:
                        type: string
                      status:
                        type: string
                        enum:
                          - AWAITING_CRAFT
                          - IN_PROGRESS
                          - READY_FOR_SIGN
                          - DONE
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: ValidationException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            AssetNotSupportedException | StrategyNotSupportedException |
            ProtocolNotSupportedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetStepStatusFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Withdrawal](/docs/morpho-withdrawal.md)
- [Deposit](/docs/morpho-staking.md)
- [Protocols Supported](/docs/defi-api-protocols.md)
- [Get Transaction Status](/reference/tron-transaction-status.md)
